Index: ogg123.c
===================================================================
RCS file: /usr/local/cvsroot/vorbis-tools/ogg123/ogg123.c,v
retrieving revision 1.31
diff -u -r1.31 ogg123.c
--- ogg123.c	2001/03/24 02:31:39	1.31
+++ ogg123.c	2001/03/24 04:19:42
@@ -252,6 +252,9 @@
 	    int index;
 	    long iport;
 
+	    if (opt.quiet < 1)
+		fprintf(stderr, "Playing from URL %s.\n", opt.read_file);
+	    
 	    temp = opt.read_file + 7;
 	    for (index = 0; temp[index] != '/' && temp[index] != ':';
 		 index++);
@@ -268,8 +271,8 @@
 		strncpy(port, temp, index);
 		port[index] = '\0';
 		if ((iport = atoi(port)) <= 0 || iport > 65535) {
-		    fprintf(stderr, "%s is not a valid port.\n", port);
-		    exit(1);
+		    fprintf(stderr, "Error: %s is not a valid port.\n", port);
+		    return;
 		}
 	    } else
 		iport = 80;
@@ -277,8 +280,8 @@
 	    path = strdup(temp + index);
 
 	    if ((opt.instream = http_open(server, iport, path)) == NULL) {
-		fprintf(stderr, "Error while connecting to server!\n");
-		exit(1);
+		fprintf(stderr, "Error: Error while connecting to server!\n");
+		return;
 	    }
 	    /* Send HTTP header */
 	    fprintf(opt.instream,
@@ -316,8 +319,8 @@
 		fprintf(stderr, "Playing from file %s.\n", opt.read_file);
 	    /* Open the file. */
 	    if ((opt.instream = fopen(opt.read_file, "rb")) == NULL) {
-		fprintf(stderr, "Error opening input file.\n");
-		exit(1);
+		fprintf(stderr, "Error: Error opening input file.\n");
+		return;
 	    }
 	}
     } else {
@@ -327,7 +330,7 @@
     }
 
     if ((ov_open(opt.instream, &vf, NULL, 0)) < 0) {
-	fprintf(stderr, "E: input not an Ogg Vorbis audio stream.\n");
+	fprintf(stderr, "Error: input not an Ogg Vorbis audio stream.\n");
 	return;
     }
 
@@ -448,7 +451,7 @@
 	return NULL;
 
     if (!(host = gethostbyname(server))) {
-	fprintf(stderr, "Unknown host: %s\n", server);
+	fprintf(stderr, "Error: Unknown host: %s\n", server);
 	return NULL;
     }
 
@@ -458,7 +461,7 @@
 
     if (connect(sockfd, (struct sockaddr *) &sock_name, sizeof(sock_name))) {
 	if (errno == ECONNREFUSED)
-	    fprintf(stderr, "Connection refused\n");
+	    fprintf(stderr, "Error: Connection refused\n");
 	return NULL;
     }
     return fdopen(sockfd, "r+b");
